Subject: Re: bug#26339: [PATCH 07/18] system: Add bootloader type.

From: Mathieu Othacehe <[email-masked]>
Date: Sat, 15 Apr 2017 19:23:13 +0200

> Oh, so that's how.  I think it would be nice-to-have if the user could also override the bootloader package used.

The user could already write :

--8<---------------cut here---------------start------------->8---
(bootloader-configuration
 (inherit %grub-configuration)
 (bootloader my-grub))
--8<---------------cut here---------------end--------------->8---

Or am I wrong here ?

>
>> -   (install-procedure install-syslinux)))
>
> Wait, so install-syslinux wouldn't need to be exported from this module at all, right?
>
> Still nice that the user can use it - though is it worth exposing the installers?

I'm not sure here, maybe not exposing installers would be better here.

> Otherwise LGTM!

Thanks,

Mathieu